Bug 22121 - Display 'Price paid' on ILL requests according to CurrencyFormat pref
Summary: Display 'Price paid' on ILL requests according to CurrencyFormat pref
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: ILL (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 22112 22693
  Show dependency treegraph
 
Reported: 2019-01-13 11:02 UTC by Katrin Fischer
Modified: 2019-05-01 10:18 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22121: Display 'Price paid' on ILL requests according to CurrencyFormat pref (1.75 KB, patch)
2019-01-13 11:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22121: Display 'Price paid' on ILL requests according to CurrencyFormat pref (1.80 KB, patch)
2019-01-15 03:48 UTC, Ethan
Details | Diff | Splinter Review
Bug 22121: Display 'Price paid' on ILL requests according to CurrencyFormat pref (1.86 KB, patch)
2019-02-08 16:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22121: Display 'Price paid' on ILL requests according to CurrencyFormat pref (1.88 KB, patch)
2019-04-04 07:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Display 'Price paid' on ILL requests according to CurrencyFormat pref (2.94 KB, patch)
2019-04-05 13:47 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 22121: Display 'Price paid' on ILL requests according to CurrencyFormat pref (2.95 KB, patch)
2019-04-05 13:47 UTC, Andrew Isherwood
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-13 11:02:01 UTC

    
Comment 1 Katrin Fischer 2019-01-13 11:12:55 UTC
Created attachment 83841 [details] [review]
Bug 22121: Display 'Price paid' on ILL requests according to CurrencyFormat pref

To test:
- Install BLDSS backend
  see: https://wiki.koha-community.org/wiki/ILL_backends
- Add a new BLDSS ILL request
- Edit ILL request
- Fill in Price paid field
- Verify Price paid is formatted correctly on 'Manage ILL request'
  page
Comment 2 Ethan 2019-01-15 03:48:29 UTC
Created attachment 83931 [details] [review]
Bug 22121: Display 'Price paid' on ILL requests according to CurrencyFormat pref

To test:
- Install BLDSS backend
  see: https://wiki.koha-community.org/wiki/ILL_backends
- Add a new BLDSS ILL request
- Edit ILL request
- Fill in Price paid field
- Verify Price paid is formatted correctly on 'Manage ILL request'
  page

Signed-off-by: Ethan Amohia <ethan.amohia@gmail.com>
Comment 3 Katrin Fischer 2019-01-15 06:17:14 UTC
Thx, Ethan!
Comment 4 Martin Renvoize 2019-02-08 16:45:54 UTC
Created attachment 84884 [details] [review]
Bug 22121: Display 'Price paid' on ILL requests according to CurrencyFormat pref

To test:
- Install BLDSS backend
  see: https://wiki.koha-community.org/wiki/ILL_backends
- Add a new BLDSS ILL request
- Edit ILL request
- Fill in Price paid field
- Verify Price paid is formatted correctly on 'Manage ILL request'
  page

Signed-off-by: Ethan Amohia <ethan.amohia@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2019-02-08 16:46:21 UTC
Another good catch.

Passing QA
Comment 6 Nick Clemens 2019-02-11 18:40:35 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Katrin Fischer 2019-04-04 07:46:56 UTC
Created attachment 87386 [details] [review]
Bug 22121: Display 'Price paid' on ILL requests according to CurrencyFormat pref

To test:
- Install BLDSS backend
  see: https://wiki.koha-community.org/wiki/ILL_backends
- Add a new BLDSS ILL request
- Edit ILL request
- Fill in Price paid field
- Verify Price paid is formatted correctly on 'Manage ILL request'
  page

Signed-off-by: Ethan Amohia <ethan.amohia@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Katrin Fischer 2019-04-04 07:47:15 UTC
Tiny rebase, moving back into Nick's queue.
Comment 9 Andrew Isherwood 2019-04-05 13:47:06 UTC
Created attachment 87450 [details] [review]
Display 'Price paid' on ILL requests according to CurrencyFormat pref

To test:
- Install BLDSS backend
  see: https://wiki.koha-community.org/wiki/ILL_backends
- Add a new BLDSS ILL request
- Edit ILL request
- Fill in Price paid field
- Verify Price paid is formatted correctly on 'Manage ILL request'
  page

Signed-off-by: Ethan Amohia <ethan.amohia@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Andrew Isherwood 2019-04-05 13:47:44 UTC
Created attachment 87451 [details] [review]
Bug 22121: Display 'Price paid' on ILL requests according to CurrencyFormat pref

To test:
- Install BLDSS backend
  see: https://wiki.koha-community.org/wiki/ILL_backends
- Add a new BLDSS ILL request
- Edit ILL request
- Fill in Price paid field
- Verify Price paid is formatted correctly on 'Manage ILL request'
  page

Signed-off-by: Ethan Amohia <ethan.amohia@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 11 Katrin Fischer 2019-04-08 00:30:40 UTC
Hi Andrew, did you mean to add a sign-off?
Comment 12 Andrew Isherwood 2019-04-09 07:07:44 UTC
No, on Martin's request, I just rebased it and made sure it was up to date with the current state of master.
Comment 13 Nick Clemens 2019-04-11 13:56:41 UTC
Awesome work all!

Pushed to master for 19.05
Comment 14 Martin Renvoize 2019-04-15 17:58:40 UTC
Re-implimentation pushed to 18.11.x for 18.11.05
Comment 15 Lucas Gass 2019-04-19 16:20:01 UTC
missing dependency for 18.05.x